<?php

namespace App\ViewModels\Anamnese\AnamneseRetroativaRegistrationViewModel;

use App\Utils\Entity;

class AnamneseRetroativaRegistrationViewModel extends Entity {
	
	protected $idPet;
	protected $idTutor;
	protected $idUnidade;
	protected $idProcedimento;
	protected $idConvenioProcedimento;
	protected $idFormulario;
	protected $idUsuario;
	protected $idMedico;
	protected $idRequisicao;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $data_retroativa;
	protected $hora_retroativa;

	public static function builder(): AnamneseRetroativaRegistrationViewModelBuilder {
		
		return new AnamneseRetroativaRegistrationViewModelBuilder();
		
	}
	
	
	/**
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->idPet;
	}


	/**
	 * @return mixed
	 */
	public function getIdTutor() {

		return $this->idTutor;
	}


	/**
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;
	}


	/**
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->idProcedimento;
	}


	/**
	 * @return mixed
	 */
	public function getIdConvenioProcedimento() {

		return $this->idConvenioProcedimento;
	}


	/**
	 * @return mixed
	 */
	public function getIdFormulario() {

		return $this->idFormulario;
	}


	/**
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->idUsuario;
	}


	/**
	 * @return mixed
	 */
	public function getIdMedico() {

		return $this->idMedico;
	}


	/**
	 * @return mixed
	 */
	public function getIdRequisicao() {

		return $this->idRequisicao;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->dataCriacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->horaCriacao;
	}


	/**
	 * @return mixed
	 */
	public function getData_retroativa() {

		return $this->data_retroativa;
	}


	/**
	 * @return mixed
	 */
	public function getHora_retroativa() {

		return $this->hora_retroativa;
	}


	/**
	 * @param mixed $idPet
	 */
	public function setIdPet($idPet) {

		$this->idPet = $idPet;
	}


	/**
	 * @param mixed $idTutor
	 */
	public function setIdTutor($idTutor) {

		$this->idTutor = $idTutor;
	}


	/**
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;
	}


	/**
	 * @param mixed $idProcedimento
	 */
	public function setIdProcedimento($idProcedimento) {

		$this->idProcedimento = $idProcedimento;
	}


	/**
	 * @param mixed $idConvenioProcedimento
	 */
	public function setIdConvenioProcedimento($idConvenioProcedimento) {

		$this->idConvenioProcedimento = $idConvenioProcedimento;
	}


	/**
	 * @param mixed $idFormulario
	 */
	public function setIdFormulario($idFormulario) {

		$this->idFormulario = $idFormulario;
	}


	/**
	 * @param mixed $idUsuario
	 */
	public function setIdUsuario($idUsuario) {

		$this->idUsuario = $idUsuario;
	}


	/**
	 * @param mixed $idMedico
	 */
	public function setIdMedico($idMedico) {

		$this->idMedico = $idMedico;
	}


	/**
	 * @param mixed $idRequisicao
	 */
	public function setIdRequisicao($idRequisicao) {

		$this->idRequisicao = $idRequisicao;
	}


	/**
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;
	}


	/**
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;
	}


	/**
	 * @param mixed $data_retroativa
	 */
	public function setData_retroativa($data_retroativa) {

		$this->data_retroativa = $data_retroativa;
	}


	/**
	 * @param mixed $hora_retroativa
	 */
	public function setHora_retroativa($hora_retroativa) {

		$this->hora_retroativa = $hora_retroativa;
	}


	

}

